Package de.willuhn.jameica.hbci.gui.filter

# Class KontoFilter

java.lang.Object
de.willuhn.jameica.hbci.gui.filter.KontoFilter

All Implemented Interfaces:
  `Filter<Konto>`

public abstract class KontoFilter extends Object implements Filter<Konto>
Mit diesem Filter koennen einzelne Konten bei der Suche ausgefiltert werden. Das wird z.Bsp. genutzt, um bei Auslandsueberweisungen nur jene Konten anzuzeigen, die eine IBAN besitzen.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final KontoFilter`
`ACTIVE`
Filter, der nur aktive Konten zulaesst.
`static final KontoFilter`
`ALL`
Filter, der alle Konten zulaesst.
`static final KontoFilter`
`FOREIGN`
Filter, der nur aktive Konten zulaesst, die eine IBAN haben.
`static final KontoFilter`
`OFFLINE`
Filter, der nur Offline-Konten zulaesst.
`static final KontoFilter`
`ONLINE`
Filter, der nur HBCI-Konten zulaesst.
`static final KontoFilter`
`SYNCED`
Filter, der nur Konten zulaesst, fuer die Synchronisierungsoptionen aktiviert sind oder die prinzipiell synchronisierbar sind.

## Constructor Summary

Constructors
Constructor
Description
`KontoFilter()`

## Method Summary

Modifier and Type
Method
Description
`abstract boolean`
`accept(Konto konto)`
Prueft, ob das Objekt angezeigt werden soll oder nicht.
`static KontoFilter`
`createForeign(Class<? extends SynchronizeJob> type)`
Erzeugt einen Konto-Filter basierend auf `FOREIGN`, welcher jedoch nur jene Konten zulaesst, die den angegebenen Synchronize-Job unterstuetzen (insofern das Backend ermittelbar ist).
`static final KontoFilter`
`SEARCH(String text, Integer ignoreFlags, Integer accountType)`
Liefert einen Kontofilter zur Suche nach Konten mit bestimmten Kriterien.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ALL

public static final KontoFilter ALL
Filter, der alle Konten zulaesst.

### ONLINE

public static final KontoFilter ONLINE
Filter, der nur HBCI-Konten zulaesst.

### OFFLINE

public static final KontoFilter OFFLINE
Filter, der nur Offline-Konten zulaesst.

### ACTIVE

public static final KontoFilter ACTIVE
Filter, der nur aktive Konten zulaesst.

### FOREIGN

public static final KontoFilter FOREIGN
Filter, der nur aktive Konten zulaesst, die eine IBAN haben.

### SYNCED

public static final KontoFilter SYNCED
Filter, der nur Konten zulaesst, fuer die Synchronisierungsoptionen aktiviert sind oder die prinzipiell synchronisierbar sind.

## Constructor Details

### KontoFilter

public KontoFilter()

## Method Details

### accept

public abstract boolean accept(Konto konto) throws RemoteException
Description copied from interface: `Filter`
Prueft, ob das Objekt angezeigt werden soll oder nicht.

Specified by:
  `accept` in interface `Filter<Konto>`
Parameters:
  `konto` - das zu pruefende Objekt.
Returns:
  true, wenn es ok ist und angezeigt werden soll. False, wenn es uebersprungen werden soll.
Throws:
  `RemoteException`
See Also:
  - `Filter.accept(java.lang.Object)`

### SEARCH

public static final KontoFilter SEARCH(String text, Integer ignoreFlags, Integer accountType)
Liefert einen Kontofilter zur Suche nach Konten mit bestimmten Kriterien.

Parameters:
  `text` - Suchbegriff.
  `ignoreFlags` - optionale Flags. Kann NULL bleiben, wenn keine Flags als Filter dienen sollen. Konten mit diesen Flags werden ignoriert.
  `accountType` - optionale Angabe der Kontoart.
Returns:
  der Kontofilter.

### createForeign

public static KontoFilter createForeign(Class<? extends SynchronizeJob> type)
Erzeugt einen Konto-Filter basierend auf `FOREIGN`, welcher jedoch nur jene Konten zulaesst, die den angegebenen Synchronize-Job unterstuetzen (insofern das Backend ermittelbar ist).

Parameters:
  `type` - der Typ des Synchronize-Jobs.
Returns:
  der Konto-Filter.